Skip to content
Guides
CatalogNotifications
notification:read

List template versions by key

GET/v1/notifications/templates/{templateKey}/versions

List template versions by key. A successful request returns HTTP 200 with the documented response body.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

templateKey*string

Key of the template.

Query Parameters

channel?string

Sales channel code.

Value in

  • "email"
  • "sms"
  • "push"
  • "whatsApp"
  • "inApp"
  • "webhook"
locale?string

Language code for localized content.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/notifications/templates/example/versions" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
{  "data": [    {      "id": "7204558912004325301",      "tenantId": "7204558912004325301",      "key": "example",      "group": "example",      "name": "Example resource",      "notification": "email",      "version": 1,      "bodyTpl": "example",      "status": "draft"    }  ],  "hasNextPage": false,  "nextCursor": "example",  "totalCount": 1}